## linux-tools 3.2.101

=== Makefile ===
VERSION = 3
PATCHLEVEL = 2
SUBLEVEL = 101
EXTRAVERSION =
NAME = Sleepy Otter

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifeq ("$(origin W)", "command line")
  export KBUILD_ENABLE_EXTRA_GCC_CHECKS := $(W)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	$(Q)@:

sub-make: FORCE
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and 
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
export KBUILD_BUILDHOST := $(SUBARCH)
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

ifeq ($(ARCH),m68knommu)
       hdr-arch  := m68k
endif

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed. 
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := -I$(srctree)/arch/$(hdr-arch)/include \
                   -Iarch/$(hdr-arch)/include/generated -Iinclude \
                   $(if $(KBUILD_SRC), -I$(srctree)/include) \
                   -include $(srctree)/include/linux/kconfig.h

KBUILD_CPPFLAGS := -D__KERNEL__

KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common \
		   -Werror-implicit-function-declaration \
		   -Wno-format-security \
		   -fno-delete-null-pointer-checks
KBUILD_AFLAGS_KERNEL :=
KBUILD_CFLAGS_KERNEL :=
KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_AFLAGS_MODULE  := -DMODULE
KBUILD_CFLAGS_MODULE  := -DMODULE
KBUILD_LDFLAGS_MODULE := -T $(srctree)/scripts/module-common.lds

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)

export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION
export ARCH SRCARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC
export CPP AR NM STRIP OBJCOPY OBJDUMP
export MAKE AWK GENKSYMS INSTALLKERNEL PERL UTS_MACHINE
export HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

## linux-tools 3.2.17

=== debian/changelog ===
linux-tools (3.2.17-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 18 Mar 2014 14:31:34 +0000

linux-tools (3.2.17-1) unstable; urgency=low

  * New upstream stable updates:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.15
    - modpost: fix ALL_INIT_DATA_SECTIONS
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.16
    - perf hists: Catch and handle out-of-date hist entry maps.
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.17
    - Perf: fix build breakage

  * Fix version insertion in perf man pages
  * Build usbip userland packages (Closes: #568362)
    - Do not build a shared library package; the API and ABI have changed
      from libusbip0 but there has been no upstream soversion change
  * usbipd: Enable TCP wrappers for access control

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jun 2012 02:52:26 +0100

linux-tools (3.2.7-2) unstable; urgency=high

  * Apply upstream changes to fix various buffer overflow bugs:
    - perf tools: Use scnprintf where applicable
    - perf tools: Incorrect use of snprintf results in SEGV

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 20 Mar 2012 04:54:22 +0000

linux-tools (3.2.7-1) unstable; urgency=low

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.7
    - perf tools: Fix perf stack to non executable on x86_64
    - perf evsel: Fix an issue where perf report fails to show the proper
      percentage

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 05 Mar 2012 00:19:02 +0000

linux-tools (3.2.1-2) unstable; urgency=low

  * Add Vcs-{Svn,Browser} fields
  * Reduce minimum version of linux-base to 3.4~ to support backports

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 24 Jan 2012 04:26:24 +0000

linux-tools (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 19 Jan 2012 04:17:19 +0000

linux-tools (3.2~rc4-1~experimental.1) experimental; urgency=low

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 07 Dec 2011 01:53:15 +0000

linux-tools (3.1.1-3) unstable; urgency=low

  * Fix s390x support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 18 Dec 2011 19:32:12 +0100

linux-tools (3.1.1-2) unstable; urgency=low

  * Change the check for stale debian/control to tolerate binNMUs
    (Closes: #649005)
  * Rebuild with perl 5.14 (Closes: #649006)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 17 Nov 2011 03:18:03 +0000

linux-tools (3.1.1-1) unstable; urgency=low

  * New upstream release

  [ Bastian Blank ]
  * Rename to linux-tools.
  * Use 3.0 (quilt) source format.
  * Properly patch modpost symbol prefix setting.
  * Build linux-tools binary package.

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 14 Nov 2011 04:57:47 +0000

linux-kbuild-2.6 (3.0.0-2) unstable; urgency=low

  * Include new script depmod.sh (Closes: #635539)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 29 Jul 2011 01:00:20 +0200

linux-kbuild-2.6 (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 24 Jul 2011 15:38:35 +0200

linux-kbuild-2.6 (3.0.0~rc5-1~experimental.1) experimental; urgency=low

  * New upstream release candidate

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 29 Jun 2011 02:32:31 +0100

linux-kbuild-2.6 (3.0.0~rc1-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * Remove docproc, no longer required for module builds

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 01 Jun 2011 10:21:01 +0100

linux-kbuild-2.6 (2.6.39-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 20 May 2011 04:53:57 +0100

linux-kbuild-2.6 (2.6.38-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 16 Mar 2011 13:45:58 +0000

linux-kbuild-2.6 (2.6.37-1) unstable; urgency=low

  * Upload to unstable

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 15 Feb 2011 14:15:36 +0000

linux-kbuild-2.6 (2.6.37-1~experimental.1) experimental; urgency=low

  * New upstream version
  * Include new script gcc-goto.sh

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Jan 2011 15:14:34 +0000

linux-kbuild-2.6 (2.6.36-1~experimental.1) experimental; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 15 Nov 2010 00:20:33 +0000

linux-kbuild-2.6 (2.6.35-1~experimental.1) experimental; urgency=low

  * New upstream version
  * Update policy version to 3.9.1; no changes required
  * Fix minor issues reported by lintian:
    - Add ${misc:Depends} to dependencies
    - Add debian/source/format file
    - Remove redundant priority and section fields

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 08 Aug 2010 22:31:47 +0100

linux-kbuild-2.6 (2.6.34-1~experimental.1) experimental; urgency=low

  * New upstream version

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 20 May 2010 01:19:43 +0100

linux-kbuild-2.6 (2.6.32-1) unstable; urgency=low

  [ Ben Hutchings ]
  * New upstream version. (closes: #560090)
  * Include new script module-common.lds, thanks to Zoran Dzelajlija.

  [ Bastian Blank ]
  * Move contents of linux-kbuild package to /usr/lib.

 -- Bastian Blank <waldi@debian.org>  Fri, 11 Dec 2009 16:16:12 +0100

linux-kbuild-2.6 (2.6.31.2-1) unstable; urgency=low

  * Upload to unstable.

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 25 Oct 2009 18:38:44 +0000

linux-kbuild-2.6 (2.6.31.2-1~experimental.1) experimental; urgency=low

  [ Bastian Blank ]
  * New upstream version.

  [ Ben Hutchings ]
  * Include new script gcc-x86_32-has-stack-protector.sh.
  * Add myself to Uploaders.
  * New upstream version (2.6.31.2).

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 17 Oct 2009 23:05:27 +0100

linux-kbuild-2.6 (2.6.30-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Wed, 17 Jun 2009 16:49:57 +0200



=== debian/control ===
Source: linux-tools
Section: devel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/

Package: linux-kbuild-3.2
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 3.2
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 3.2.

Package: linux-tools-3.2
Architecture: alpha amd64 armel armhf hppa i386 powerpc ppc64 s390 s390x sh4 sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base (>= 3.4~)
Suggests: linux-doc-3.2
Description: Performance analysis tools for Linux 3.2
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 3.2.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.

Package: libusbip-dev
Architecture: linux-any
Section: libdevel
Depends: ${misc:Depends}
Description: USB device sharing system over IP network (development files)
 USB/IP is a system for sharing USB devices over the network.
 .
 This package provides headers for the libusbip library and the library
 itself for static linking.

Package: usbip
Architecture: linux-any
Section: admin
Depends: usbutils, ${shlibs:Depends}, ${misc:Depends}
Description: USB device sharing system over IP network
 USB/IP is a system for sharing USB devices over the network.
 .
 To share USB devices between computers with their full functionality,
 USB/IP encapsulates "USB requests" into IP packets and transmits them
 between computers.
 .
 Original USB device drivers and applications can be used for remote USB
 devices without any modification of them.  A computer can use remote USB
 devices as if they were directly attached.
 .
 Currently USB/IP provides no access control or encryption.  It should only
 be used in trusted environments.
 .
 This package provides the server component 'usbipd' and the client tool
 'usbip'.

=== debian/rules ===
#!/usr/bin/make -f

SHELL    := sh -e
DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
SOURCE   := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION_DEBIAN := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION  := $(shell echo "$(VERSION_DEBIAN)" | sed -e 's,-[^-]*$$,,')
VERSION_DEBIAN_BINNMU := $(shell echo "$(VERSION_DEBIAN)" | sed -ne 's,.*\+b\(.*\)$$,\1,p')

include debian/rules.defs

build: debian/control $(STAMPS_DIR)/build-base
$(STAMPS_DIR)/build-base: $(STAMPS_DIR)
	dh_testdir
	$(MAKE) -f debian/rules.gen build
	touch $@

$(STAMPS_DIR):
	@[ -d $@ ] || mkdir $@

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.gz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xzf $(TAR_ORIG)
endif

maintainerclean:
	rm -f debian/control debian/control.md5sum debian/rules.gen
	rm -rf $(filter-out debian .svk .svn, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	make -C $(BUILD_DIR) clean top_srcdir=$(CURDIR)
	rm -rf $(STAMPS_DIR) debian/lib/python/debian_linux/*.pyc
	dh_clean

binary-indep:
	dh_testdir

binary-arch:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-arch

binary:	binary-indep binary-arch

CONTROL_FILES = debian/changelog $(wildcard debian/templates/control.*)
debian/control debian/rules.gen: debian/bin/gencontrol.py $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_DEBIAN_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: debian/bin/gencontrol.py $(CONTROL_FILES)
	chmod +x $<
	$<
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build setup binary-indep binary-arch binary

## linux-tools 3.2.101

=== debian/changelog ===
linux-tools (3.2.101-1) wheezy-security; urgency=high
  
  * New upstream stable updates:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.24
    - kbuild: do not check for ancient modutils tools (Closes: #693667)
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.32
    - kbuild: Fix gcc -x syntax
    - kbuild: make: fix if_changed when command contains backslashes
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.42
    - perf: Revert duplicated commit
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.46
    - perf: net_dropmonitor: Fix trace parameter order
    - perf: net_dropmonitor: Fix symbol-relative addresses (Closes: #708994)
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.51
    - perf tools: Add anonymous huge page recognition
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.52
    - perf tools: Handle JITed code in shared memory
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.53
    - perf tools: Fix getrusage() related build failure on glibc trunk
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.56
    - Modpost: fixed USB alias generation for ranges including 0x9 and 0xA
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.72
    - perf header: Fixup reading of HEADER_NRCPUS feature
    - perf tools: Fix build with perl 5.18
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.78
    - perf annotate browser: Fix behaviour of Shift-Tab with nothing focussed
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.87
    - perf scripting: Avoid leaking the scripting_context variable
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.89
    - perf script: Fix man page about --dump-raw-trace option
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.91
    - perf symbols: Fix symbols__fixup_end heuristic for corner cases
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.93
    - perf probe: Fix examples section of documentation
    - perf script: Fix outdated comment for perf-trace-python
    - perf script: Fix documentation errors
    - perf script python: Fix wrong code snippets in documentation
    - perf script python: Updated trace_unhandled() signature
    - perf script python: Remove dups in documentation examples
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.99
    - usbip: Fix sscanf handling
    - usbip: prevent vhci_hcd driver from leaking a socket pointer address
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.100
    - usbip: fix usbip bind writing random string after command in match_busid
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.101
    - modpost: reduce visibility of symbols and constify r/o arrays
    - modpost: don't emit section mismatch warnings for compiler optimizations
    - module/retpoline: Warn about missing retpoline in module

  [ Ben Hutchings ]
  * perf evlist: Fix errno value reporting on failed mmap (Closes: #696957)
  * Adjust for migration to git:
    - Update .gitignore files
    - debian/control: Update Vcs-* fields
    - debian/rules: Exclude .git from maintainerclean rule

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 16 Apr 2018 20:01:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
-Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
-Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/
+Vcs-Git: https://salsa.debian.org/kernel-team/linux-tools.git
+Vcs-Browser: https://salsa.debian.org/kernel-team/linux-tools
 
 Package: linux-kbuild-3.2
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,8 @@
 TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))
 
 orig: $(DIR_ORIG)
-	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
+	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
+	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0
 
 $(DIR_ORIG):
 ifeq ($(TAR_ORIG),)
@@ -36,7 +37,7 @@
 
 maintainerclean:
 	rm -f debian/control debian/control.md5sum debian/rules.gen
-	rm -rf $(filter-out debian .svk .svn, $(wildcard * .[^.]*))
+	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))
 
 clean: debian/control
 	dh_testdir

## linux-tools 3.9.4

=== debian/changelog ===
linux-tools (3.9.4-1~ybp70+1) stable; urgency=low

  * Rebuild against wheezy

 -- Uli Martens <uli@youam.net>  Wed, 12 Jun 2013 13:50:04 +0000

linux-tools (3.9.4-1) unstable; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 03 Jun 2013 13:45:52 +0100

linux-tools (3.8.11-1) unstable; urgency=low

  * New upstream stable update

  [ Ben Hutchings ]
  * Upload to unstable (Closes: #707023)

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 07 May 2013 02:11:16 +0100

linux-tools (3.8.2-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #702450)

  [ Ben Hutchings ]
  * linux-tools: Install bash_completion script for perf with a version-
    dependent name (Closes: #701790)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 07 Mar 2013 05:32:40 +0000

linux-tools (3.7.1-1~experimental.1) experimental; urgency=low

  * New upstream release

  [ Ben Hutchings ]
  * [amd64] linux-tools: Enable optimisations and special-casing of x86_64
    (Closes: #694759)

  [ Uwe Kleine-König ]
  * linux-kbuild: debian/control: Use Section: kernel (Closes: #545017)

 -- Jonathan Nieder <jrnieder@gmail.com>  Fri, 28 Dec 2012 09:29:53 -0800

linux-tools (3.6-1~experimental.1) experimental; urgency=low

  * New upstream release (Closes: #690011)

  [ Ben Hutchings ]
  * genorig: Accept xz-compressed upstream tarballs and patches, and
    generate an xz-compressed orig tarball, thanks to Sedat Dilek
  * source: Enable xz-compression for debian directory tarball

  [ Jonathan Nieder ]
  * Add myself to uploaders list.

 -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 24 Nov 2012 13:40:28 -0800

linux-tools (3.5-1~experimental.1) experimental; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 20 Aug 2012 00:57:12 +0100

linux-tools (3.4-1~experimental.1) experimental; urgency=low

  * New upstream release
  * Build-Depend on bison and flex, now required to build perf
  * Fix version insertion in perf man pages

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 09 Jun 2012 20:51:12 +0100

linux-tools (3.3-1~experimental.1) experimental; urgency=low

  * New upstream release candidate
  * linux-kbuild: debian/control: Set Multi-Arch: foreign
  * linux-tools: Build perf on alpha and hppa (Closes: #664834)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 24 Mar 2012 23:15:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: linux-tools
-Section: devel
+Section: kernel
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>
+Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Jonathan Nieder <jrnieder@gmail.com>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
-Vcs-Git: https://salsa.debian.org/kernel-team/linux-tools.git
-Vcs-Browser: https://salsa.debian.org/kernel-team/linux-tools
+Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, bison, flex, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
+Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
+Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/
 
-Package: linux-kbuild-3.2
+Package: linux-kbuild-3.9
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Kbuild infrastructure for Linux 3.2
+Description: Kbuild infrastructure for Linux 3.9
  This package provides the kbuild infrastructure for the headers packages
- for Linux kernel version 3.2.
+ for Linux kernel version 3.9.
+Multi-Arch: ${linux-kbuild:Multi-Arch}
 
-Package: linux-tools-3.2
+Package: linux-tools-3.9
 Architecture: alpha amd64 armel armhf hppa i386 powerpc ppc64 s390 s390x sh4 sparc sparc64
+Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
 Recommends: linux-base (>= 3.4~)
-Suggests: linux-doc-3.2
-Description: Performance analysis tools for Linux 3.2
+Suggests: linux-doc-3.9
+Description: Performance analysis tools for Linux 3.9
  This package contains the 'perf' performance analysis tools for Linux
- kernel version 3.2.
+ kernel version 3.9.
  .
  The linux-base package contains a 'perf' command which will invoke the
  appropriate version for the running kernel.

=== debian/rules ===
--- 
+++ 
@@ -20,11 +20,11 @@
 	@[ -d $@ ] || mkdir $@
 
 DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
-TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.gz
+TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.xz
 TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))
 
 orig: $(DIR_ORIG)
-	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
+	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
 	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0
 
 $(DIR_ORIG):
@@ -32,12 +32,12 @@
 	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
 else
 	mkdir -p ../orig
-	tar -C ../orig -xzf $(TAR_ORIG)
+	tar -C ../orig -xaf $(TAR_ORIG)
 endif
 
 maintainerclean:
 	rm -f debian/control debian/control.md5sum debian/rules.gen
-	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))
+	rm -rf $(filter-out debian .svk .svn, $(wildcard * .[^.]*))
 
 clean: debian/control
 	dh_testdir

## linux-tools 3.10

=== debian/changelog ===
linux-tools (3.10-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 12 Aug 2013 15:45:08 +0200

linux-tools (3.10-3) unstable; urgency=low

  * linux-kbuild: Fix no-modules case in modpost wrapper (Closes: #719129)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2013 21:49:02 +0200

linux-tools (3.10-2) unstable; urgency=low

  * linux-kbuild: Fix use of getline() in modpost wrapper (Closes: #717195)

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 18 Jul 2013 04:02:11 +0100

linux-tools (3.10-1) unstable; urgency=low

  * New upstream release

  [ Chris Boot ]
  * Update modpost-symbol-prefix.patch for 3.10

  [ Ben Hutchings ]
  * debian/patches: Add DEP-3 headers (From, Subject, Forwarded) to all patches
  * debian/copyright: Convert to machine-readable format (fka DEP-5)
  * debian/copyright: Add explanation of indirect linking of perf to OpenSSL
  * debian/rules.real: Remove support for pre-multiarch dpkg
  * Update policy version to 3.9.4
    - debian/rules: Implement build-arch and build-indep targets
  * linux-kbuild: Update modpost wrapper for 3.10
    - Implement the -T option

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 16 Jul 2013 13:29:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,28 @@
 Priority: optional
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Jonathan Nieder <jrnieder@gmail.com>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, bison, flex, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
 Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
 Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/
 
-Package: linux-kbuild-3.9
+Package: linux-kbuild-3.10
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Kbuild infrastructure for Linux 3.9
+Description: Kbuild infrastructure for Linux 3.10
  This package provides the kbuild infrastructure for the headers packages
- for Linux kernel version 3.9.
-Multi-Arch: ${linux-kbuild:Multi-Arch}
+ for Linux kernel version 3.10.
+Multi-Arch: foreign
 
-Package: linux-tools-3.9
+Package: linux-tools-3.10
 Architecture: alpha amd64 armel armhf hppa i386 powerpc ppc64 s390 s390x sh4 sparc sparc64
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
 Recommends: linux-base (>= 3.4~)
-Suggests: linux-doc-3.9
-Description: Performance analysis tools for Linux 3.9
+Suggests: linux-doc-3.10
+Description: Performance analysis tools for Linux 3.10
  This package contains the 'perf' performance analysis tools for Linux
- kernel version 3.9.
+ kernel version 3.10.
  .
  The linux-base package contains a 'perf' command which will invoke the
  appropriate version for the running kernel.

## linux-tools 3.11

=== debian/changelog ===
linux-tools (3.11-3) unstable; urgency=low

  * linux-tools: Replace build-dependency on libunwind8-dev with
    libunwind7-dev, as the new libunwind will not enter testing soon

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 29 Oct 2013 02:12:36 +0000

linux-tools (3.11-2) unstable; urgency=low

  * linux-tools: Limit build-dependency on libunwind8-dev to architectures
    where it is available and needed

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 27 Oct 2013 18:01:37 +0000

linux-tools (3.11-1) unstable; urgency=low

  * New upstream release
  * linux-tools: Build perf with libaudit and libunwind

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 19 Oct 2013 02:38:59 +0100

linux-tools (3.11~rc4-1~exp1) experimental; urgency=low

  * New upstream release candidate

  [ Ben Hutchings ]
  * linux-tools: Build perf documentation out-of-tree, as this now works
    and our previous workaround does not

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 08 Aug 2013 16:21:00 +0200

linux-tools (3.10-4) unstable; urgency=low

  * Sourceful upload for the perl 5.18 transition
  * usbip: Fix package version override to be binNMU-safe

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Aug 2013 12:44:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,27 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Jonathan Nieder <jrnieder@gmail.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, bison, flex, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
+Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, bison, flex, libaudit-dev, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, libunwind7-dev [amd64 i386], python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
 Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
 Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/
 
-Package: linux-kbuild-3.10
+Package: linux-kbuild-3.11
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Kbuild infrastructure for Linux 3.10
+Description: Kbuild infrastructure for Linux 3.11
  This package provides the kbuild infrastructure for the headers packages
- for Linux kernel version 3.10.
+ for Linux kernel version 3.11.
 Multi-Arch: foreign
 
-Package: linux-tools-3.10
+Package: linux-tools-3.11
 Architecture: alpha amd64 armel armhf hppa i386 powerpc ppc64 s390 s390x sh4 sparc sparc64
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
 Recommends: linux-base (>= 3.4~)
-Suggests: linux-doc-3.10
-Description: Performance analysis tools for Linux 3.10
+Suggests: linux-doc-3.11
+Description: Performance analysis tools for Linux 3.11
  This package contains the 'perf' performance analysis tools for Linux
- kernel version 3.10.
+ kernel version 3.11.
  .
  The linux-base package contains a 'perf' command which will invoke the
  appropriate version for the running kernel.

## linux-tools 3.12.6

=== debian/changelog ===
linux-tools (3.12.6-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 07 Jan 2014 14:43:18 +0000

linux-tools (3.12.6-1) unstable; urgency=medium

  * New upstream stable update
    - perf tools: Remove cast of non-variadic function to variadic
    - perf tools: Synthesize anon MMAP records again

  [ Ben Hutchings ]
  * linux-tools: Replace build-dependency on binutils-dev with
    libiberty-dev (or old binutils-dev, for ease of backporting)
    (Closes: #730883)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 30 Nov 2013 23:48:32 +0000

linux-tools (3.12-1~exp1) experimental; urgency=low

  * New upstream release (Closes: #729197)
  * [x86, powerpc, ppc64] linux-tools: Build perf with libnuma

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 18 Nov 2013 05:14:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,27 +4,27 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Jonathan Nieder <jrnieder@gmail.com>
 Standards-Version: 3.9.4
-Build-Depends: debhelper (>> 7), python, asciidoc, binutils-dev, bison, flex, libaudit-dev, libdw-dev, libelf-dev, libnewt-dev, libperl-dev, libunwind7-dev [amd64 i386], python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
+Build-Depends: debhelper (>> 7), python, asciidoc, bison, flex, libaudit-dev, libdw-dev, libelf-dev, libiberty-dev | binutils-dev (<< 2.23.91.20131123-1), libnewt-dev, libnuma-dev [amd64 i386 powerpc ppc64], libperl-dev, libunwind7-dev [amd64 i386], python-dev, xmlto, autoconf, automake, libtool, libglib2.0-dev, libsysfs-dev, libwrap0-dev
 Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
 Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/
 
-Package: linux-kbuild-3.11
+Package: linux-kbuild-3.12
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Kbuild infrastructure for Linux 3.11
+Description: Kbuild infrastructure for Linux 3.12
  This package provides the kbuild infrastructure for the headers packages
- for Linux kernel version 3.11.
+ for Linux kernel version 3.12.
 Multi-Arch: foreign
 
-Package: linux-tools-3.11
+Package: linux-tools-3.12
 Architecture: alpha amd64 armel armhf hppa i386 powerpc ppc64 s390 s390x sh4 sparc sparc64
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
 Recommends: linux-base (>= 3.4~)
-Suggests: linux-doc-3.11
-Description: Performance analysis tools for Linux 3.11
+Suggests: linux-doc-3.12
+Description: Performance analysis tools for Linux 3.12
  This package contains the 'perf' performance analysis tools for Linux
- kernel version 3.11.
+ kernel version 3.12.
  .
  The linux-base package contains a 'perf' command which will invoke the
  appropriate version for the running kernel.

## linux-tools 3.13.4

=== debian/changelog ===
linux-tools (3.13.4-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy
    - Replace build-dependency on libunwind8-dev with libunwind7-dev

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 16 Mar 2014 15:46:05 +0000

linux-tools (3.13.4-1) unstable; urgency=medium

  * New upstream stable update:
    http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.13.2
    - perf kvm: Fix kvm report without guestmount.

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 22 Feb 2014 15:39:27 +0000

linux-tools (3.13-1~exp3) experimental; urgency=medium

  * linux-tools: Fix/revert unportable code in perf trace (fixes FTBFS
    on powerpc, sparc)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 07 Feb 2014 20:36:29 +0000

linux-tools (3.13-1~exp2) experimental; urgency=medium

  * Merge changes from sid up to 3.12.6-3

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 16:57:49 +0100

linux-tools (3.13-1~exp1) experimental; urgency=low

  * New upstream release

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 12:02:29 +0100

linux-tools (3.12.6-3) unstable; urgency=medium

  * linux-tools: Explicitly enable/disable libunwind usage for all
    architectures (fixes FTBFS on s390x and sparc)
  * linux-tools: Only use libunwind on x86, as perf needs additional
    porting work for other architectures (fixes FTBFS on arm and powerpc)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 16:46:44 +0100

linux-tools (3.12.6-2) unstable; urgency=medium

  * linux-tools: Replace build-dependency on libunwind7-dev with
    libunwind8-dev

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 02 Feb 2014 11:51:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,23 @@
 Vcs-Svn: svn://svn.debian.org/svn/kernel/dists/trunk/linux-tools/
 Vcs-Browser: http://anonscm.debian.org/viewvc/kernel/dists/trunk/linux-tools/
 
-Package: linux-kbuild-3.12
+Package: linux-kbuild-3.13
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Kbuild infrastructure for Linux 3.12
+Description: Kbuild infrastructure for Linux 3.13
  This package provides the kbuild infrastructure for the headers packages
- for Linux kernel version 3.12.
+ for Linux kernel version 3.13.
 Multi-Arch: foreign
 
-Package: linux-tools-3.12
+Package: linux-tools-3.13
 Architecture: alpha amd64 armel armhf hppa i386 powerpc ppc64 s390 s390x sh4 sparc sparc64
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
 Recommends: linux-base (>= 3.4~)
-Suggests: linux-doc-3.12
-Description: Performance analysis tools for Linux 3.12
+Suggests: linux-doc-3.13
+Description: Performance analysis tools for Linux 3.13
  This package contains the 'perf' performance analysis tools for Linux
- kernel version 3.12.
+ kernel version 3.13.
  .
  The linux-base package contains a 'perf' command which will invoke the
  appropriate version for the running kernel.
